%global momorel 2
%global mltver 0.4.2
%global mltrel 2m
%global qtver 4.5.1
%global kdever 4.2.3
%global kdelibsrel 1m
%global kdedir /usr

Summary: A non-linear video editing application for KDE
Name: kdenlive
Version: 0.7.4
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://kdenlive.org/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}-ja.po
Source2: CMakeLists.txt.ja
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-move-melt.patch
Patch2: %{name}-0.7.3-make-ja.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: dvgrab
Requires: mlt >= %{mltver}-%{mltrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: coreutils
BuildPreReq: mlt-devel >= %{mltver}-%{mltrel}
BuildPreReq: libavc1394-devel
BuildPreReq: libiec61883-devel
BuildPreReq: ffmpeg-devel

%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .move-melt

# for Japanese
mkdir -p po/ja
install -m 644 %{SOURCE1} po/ja/kdenlive.po
install -m 644 %{SOURCE2} po/ja/CMakeLists.txt

%patch2 -p1 -b .make-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kdenlive.png %{buildroot}%{_datadir}/pixmaps/kdenlive.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README
%{_kde4_bindir}/kdenlive
%{_kde4_bindir}/kdenlive_render
%{_kde4_libdir}/kde4/libkdenlive_sampleplugin.so
%{_kde4_libdir}/kde4/westleypreview.so
%{_kde4_datadir}/applications/kde4/kdenlive.desktop
%{_kde4_appsdir}/kdenlive
%{_kde4_configdir}/kdenlive.knsrc
%{_kde4_configdir}/kdenlive_mltprofiles.knsrc
%{_kde4_configdir}/kdenlive_render.knsrc
%{_kde4_configdir}/kdenlivetranscodingrc
%{_kde4_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_kde4_iconsdir}/hicolor/*/apps/*.png
%{_kde4_iconsdir}/oxygen/*/apps/*.png
%{_kde4_iconsdir}/oxygen/scalable/mimetypes/*.svgz
%{_kde4_datadir}/kde4/services/westleypreview.desktop
%{_kde4_datadir}/locale/*/LC_MESSAGES/kdenlive.mo
%{_kde4_datadir}/mime/packages/*.xml
%{_kde4_datadir}/pixmaps/kdenlive.png
%{_mandir}/man1/kdenlive.1.*
%{_mandir}/man1/kdenlive_render.1.*

%changelog
* Thu Jun  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-2m)
- move melt to melt-mlt

* Wed Jun  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-1m)
- version 0.7.4
- update desktop.patch

* Sat Apr 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- version 0.7.3
- update desktop.patch and make-ja.patch

* Tue Feb  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2.1-1m)
- version 0.7.2.1

* Mon Feb  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-1m)
- version 0.7.2
- update make-ja.patch
- update URL

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-3m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-2m)
- update Patch1 for fuzz=0
- License: GPLv2+

* Tue Dec 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.1-1m)
- version 0.7.1

* Thu Nov 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- version 0.7
- remove merged icons

* Sun Oct 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.1.1m)
- re-add Japanese translation
- use cmake_kde4
- install lost icons from kdenlive-0.5

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7-0.0.1m)
- update 0.7beta1

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-9m)
- revise %%{_docdir}/HTML/*/kdenlive/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5-7m)
- rebuild against gcc43

* Sat Mar 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5-6m)
- add BuildPreReq ffmpeg-devel
- add workaround for ffmpeg-devel

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-5m)
- fix gcc-4.3

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-3m)
- %%NoSource -> NoSource

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- Requires: dvgrab

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- initial package for video freaks using Momonga Linux
- import Japanese translation from svn
